/* RESET */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  line-height: 1;
  font-size: 16px;
  font-family: sans-serif;
  width: 100%;
  height: 100vh;
}

footer {
  width: 100%;
  border: 1px solid blue;
}

input,
button {
  border: none;
}

ol,
ul {
  list-style: none;
}
h1 {
  font-family: "Open Sans", sans-serif;
}

p,
span,
label,
input {
  font-family: "Montserrat", sans-serif;
  font-size: 1rem;
}

/* CSS */

body {
  background-color: #e3e3e3;
}

button.btn {
  min-width: 50px;
  height: 50px;
  margin-right: 3px;
  padding: 10px 0;
  border-radius: 3px;
  color: #fff;
  font-size: 1.5rem;
  cursor: pointer;
}

.btn-add {
  background-color: rgb(10, 71, 56);
}
.btn-delete {
  background-color: rgb(134, 50, 35);
}

.btn-update {
  background-color: rgb(172, 169, 18);
}

/* .btn-menu {
  background-color: #aaaaaa;
} */

/* button.btn-rounded {
  border-radius: 50%;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.2);
} */

.container {
  width: 50%;
  min-width: 640px;
  min-height: 100%;
  margin: auto;
  padding: 22px;
  background-color: #fff;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
  position: relative;
}

/* button#menuIcon {
  position: fixed;
  bottom: 20px;
  right: 20px;
} */
.todo-title {
  padding: 10px 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
  text-align: center;
}

.todo-title .title {
  font-size: 42px;
}

.todo-title .subtitle {
  font-size: 18px;
  font-weight: bold;
  color: #9b9b9b;
  margin-top: 10px;
}

.todo-title p {
  margin: 20px 0;
}

@media screen and (max-width: 767px) {
  body {
    padding: 0 10px;
  }
  .container {
    min-width: 100%;
  }
  .todo-title {
    text-align: left;
  }
  .todo-title .title {
    font-size: 36px;
  }
  .todo-title .subtitle {
    font-size: 14px;
  }
  /* #menuIcon {
    display: none;
  } */
}

.todo-title i {
  margin-right: 5px;
}

.info-message {
  font-size: 0.85rem;
  color: #b1b1b1;
}

.todo-form {
  margin: 20px 0;
}

.todo-form label {
  display: inline-block;
  margin: 10px 0;
}

.input-group {
  display: flex;
  align-items: center;
}

.input-group input[type="text"] {
  padding: 17px 5px 17px 15px;
  width: 100%;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  background-color: #f1f1f1;
  border-radius: 5px;
}

.input-group button {
  margin-left: 5px;
}

.todo-list {
  margin-top: 50px;
}

.todo-list li {
  width: 100%;
  margin: 2px;
  padding: 2px 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.todo-list li span input {
  margin-right: 15px;
}

.todo-list li button {
  display: inline;
  /* margin-left: auto; */
}

.todo-list-controls {
  display: flex;
  align-items: center;
}

.todo-text {
  line-height: 1.5rem;
}

.completed {
  text-decoration: line-through;
  color: rgba(0, 81, 255, 0.5);
}
